NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.AttachElementsBuilder Class Reference

Represents a NXOpen.CAE.AttachElementsBuilder More...

Inheritance diagram for NXOpen.CAE.AttachElementsBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AttachOption { SplitAndAttach, SplitOnly }
 attach types More...
 
enum  SplitLineOption { ElementEdge, TwoPoints, Edge }
 split line types More...
 

Properties

unsafe
NXOpen.CAE.AttachElementsBuilder.AttachOption 
AttachType [get, set]
 Returns or sets an attach option More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
EdgeCurve [get]
 Returns the curve More...
 
unsafe
NXOpen.CAE.SelectElementsBuilder 
ElementEdges [get]
 Returns the element edges More...
 
unsafe
NXOpen.SelectTaggedObjectList 
MeshSelection [get]
 Returns the selected mesh More...
 
unsafe NXOpen.Point PointEnd [get, set]
 Returns or sets an end point More...
 
unsafe NXOpen.Point PointStart [get, set]
 Returns or sets a start point More...
 
unsafe
NXOpen.CAE.AttachElementsBuilder.SplitLineOption 
SplitLineType [get, set]
 Returns or sets a split line option More...
 
unsafe NXOpen.Expression SplitSize [get]
 Returns the split size More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.AttachElementsBuilder

To create a new instance of this class, use NXOpen.CAE.NodeElementManager.CreateAttachElementsBuilder

Created in NX11.0.0

Member Enumeration Documentation

attach types

Enumerator
SplitAndAttach 

split and attach

SplitOnly 

split only

split line types

Enumerator
ElementEdge 

split by element edge

TwoPoints 

split by two points

Edge 

split by edge/curve

Property Documentation

unsafe NXOpen.CAE.AttachElementsBuilder.AttachOption NXOpen.CAE.AttachElementsBuilder.AttachType
getset

Returns or sets an attach option

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.CAE.AttachElementsBuilder.EdgeCurve
get

Returns the curve

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.CAE.SelectElementsBuilder NXOpen.CAE.AttachElementsBuilder.ElementEdges
get

Returns the element edges

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.AttachElementsBuilder.MeshSelection
get

Returns the selected mesh

Created in NX11.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.CAE.AttachElementsBuilder.PointEnd
getset

Returns or sets an end point

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Point NXOpen.CAE.AttachElementsBuilder.PointStart
getset

Returns or sets a start point

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.AttachElementsBuilder.SplitLineOption NXOpen.CAE.AttachElementsBuilder.SplitLineType
getset

Returns or sets a split line option

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.AttachElementsBuilder.SplitSize
get

Returns the split size

Created in NX11.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.